package modality;
import java.awt.FlowLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.JButton;
import javax.swing.JDialog;
import javax.swing.JFrame;
import javax.swing.SwingUtilities;

public class ModelessDialogDemo {

    private static void constructGUI() {
    
        /* buat frame utama */
        final JFrame parent = new JFrame("Parent Frame");
        parent.setLayout(new FlowLayout());
        parent.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

        /* buat button yang akan menampilkan modeless dialog */
        JButton button = new JButton("Modeless dialog");
        button.addActionListener(new ActionListener() {
            public void actionPerformed(ActionEvent e) {
                /* default is modeless */
                JDialog dialog = new JDialog(parent, 
                        "Modeless Dialog");
                dialog.setBounds(200, 200, 300, 200);
                dialog.setVisible(true);
            }
        });
        parent.add(button);

        /* tampilkan frame */
        parent.setBounds(100, 100, 300, 200);
        parent.setVisible(true);
    }

    public static void main(String[] args) {

        /* 
         * Schedule a job for the event-dispatching thread:
         * creating and showing this application's GUI.
         */
        SwingUtilities.invokeLater(new Runnable() {
            public void run() {
                constructGUI();
            }
        });
    }
}
